Bug 14114 - Silence warnings t/Debug.t
Summary: Silence warnings t/Debug.t
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: M. Tompsett
QA Contact: Galen Charlton
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 8879
  Show dependency treegraph
 
Reported: 2015-05-01 21:13 UTC by M. Tompsett
Modified: 2016-12-05 21:23 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 14114: Silence warns and cleanup t/Debug.t (1.68 KB, patch)
2015-05-01 21:16 UTC, M. Tompsett
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 14114: Silence warns and cleanup t/Debug.t (1.78 KB, patch)
2015-05-06 20:04 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 14114: Silence warns and cleanup t/Debug.t (1.83 KB, patch)
2015-05-22 08:26 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description M. Tompsett 2015-05-01 21:13:14 UTC
Turns out there are annoying and pointless diags. Clean up. Fix layout. And perhaps even a Modern::Perl while I'm at it. :)
Comment 1 M. Tompsett 2015-05-01 21:16:20 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2015-05-06 20:04:46 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2015-05-22 08:26:48 UTC
Created attachment 39381 [details] [review]
Bug 14114: Silence warns and cleanup t/Debug.t

TEST PLAN
---------
1) $ prove t/Debug.t
   -- What's with this BEFORE and AFTER stuff?!
2) apply patch
3) $ prove t/Debug.t
   -- cleaner, and you only get fuller output with -v.
4) koha qa test tools

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Cleaner, no koha-qa errors

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 4 Tomás Cohen Arazi 2015-05-22 14:18:40 UTC
Patch pushed to master.

Thanks Mark!